Subject: Re: bug#44743: native-comp: confirm-exit-emacs warns about active processes when compiling

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Feb 2021 16:12:01 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Fri, 26 Feb 2021 13:44:47 +0000
> 
> > A better solution, from my POV, given the controversy, is to provide a
> > defcustom for this, and then I'm okay with making silently killing the
> > compilation the default.  I thought it would leave everyone happy.
> > For some reason, Lars and Stefan are against even that, so I hesitate
> > to even ask you, Andrea, to add such a defcustom if you have time.
> 
> I also agree the customize look like the best option, 54df918ad1 adds
> `comp-async-query-on-exit' setting it to nil as default.

Thanks.

> Please have a look to the docstring I've added and let me know in case
> needs improvent, my docstring skills are worst than my coding one's.

Thanks, I've made some changes there.

Btw, all the defcustom's in comp.el will need to have the :version
tag.  But we can leave this for later.